[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.CMParentBiDiModeChanged

Handles the CM_PARENTBIDIMODECHANGED control message for the form.

## Declaration

Source position: forms.pp line 615

`protected procedure TCustomForm.CMParentBiDiModeChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message examined in the method.

## Description

Sets the BidiMode property to the value in Parent when ParentBiDiMode is True and Parent has been assigned. When Parent has not been assigned, the BiDiMode property in Application is copied to the form instance.